
Background = {}

function Background:new( imgFileName, maxWidth, maxHeight )
	local o = {}
	
	setmetatable( o, self)
	self.__index = self
	
	if imgFileName then
		o:SetImage( imgFileName )
	end
	
	return o
end

function Background:SetImage( imgFileName, maxWidth, maxHeight)
	self.drawable 	= love.graphics.newImage( imgFileName )
	self.scaleX 	= maxWidth /  self.drawable:getWidth();
	self.scaleY 	= maxHeight / self.drawable:getHeight();
end

function Background:draw()
	love.graphics.draw( self.drawable, 0, 0, 0, self.scaleX, self.scaleY, 0, 0 )
end
